Page MenuHomeFreeBSD

netgraph/ng_pipe: Add missing man page
ClosedPublic

Authored by lutz_donnerhacke.de on Oct 17 2019, 4:39 PM.

Details

Reviewers
brueffer
Group Reviewers
manpages
Commits
rS353780: Add a manpage for ng_pipe(4).
Summary

There is no man page for the netgraph node ng_pipe.
This is my attempt to add one.

Test Plan
man 4 ng_pipe

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Thank you for the man page.

Can you run textproc/igor and "mandoc -Tlint" over your man page? They will display some warnings and provide some hint on which line they are.
We also have a bit of info here: https://www.freebsd.org/doc/en_US.ISO8859-1/books/fdp-primer/manpages-markup.html

share/man/man4/ng_pipe.4
66 ↗(On Diff #63401)

You need to have a line break after a sentence stop.

76 ↗(On Diff #63401)

Another (two actually) line break here.

81 ↗(On Diff #63401)

Line break after the sentence stop.

85 ↗(On Diff #63401)

A line break after the sentence stop is needed here, too.

Fixed "mandoc -Tlint" issues. Thank you for the hint.

brueffer added a subscriber: brueffer.
brueffer added inline comments.
share/man/man4/ng_pipe.4
74 ↗(On Diff #63410)

superfluous "the"

80 ↗(On Diff #63410)

Superfluous comma

86 ↗(On Diff #63410)

much -> many

102 ↗(On Diff #63410)

though -> through

110 ↗(On Diff #63410)

"to the one specified in"

214 ↗(On Diff #63410)

Stray comma

This revision now requires changes to proceed.Oct 18 2019, 9:34 AM
lutz_donnerhacke.de marked 6 inline comments as done.

Fixing spelling and more as pointed out by brueffer.

This revision is now accepted and ready to land.Oct 18 2019, 10:57 AM

Please remember to hook it up to the man4 Makefile.

Added Makefile reference in order to allow installing the man page.

This revision now requires review to proceed.Oct 18 2019, 11:20 AM

One last question, is the copyright correct? If you just used a different manpage as a template but you wrote all the content, you should be the sole copyright holder here.

One last question, is the copyright correct? If you just used a different manpage as a template but you wrote all the content, you should be the sole copyright holder here.

Interesting question. I believe the copyright belongs to the code, not to the documentation.
Therefore I copied this from the source.

Code and manpage are separate copyrightable items. I suppose the code examples could justify the existing copyrights, but you should definitely add yourself as copyright holder as well.

Added copyright for the man page author

Update local working directory on my machine.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 20 2019, 8:58 PM
This revision was automatically updated to reflect the committed changes.